> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Query ReceivingOrders.



## OpenAPI

````yaml /api-reference/openapi.json get /openapi/v1/ReceivingOrders
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/ReceivingOrders:
    get:
      tags:
        - ReceivingOrders
      summary: Query ReceivingOrders.
      parameters:
        - name: dqb
          in: query
          description: DynamicQuery
          schema:
            type: string
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/ReceivingOrderQueryResponseDTODynamicQueryPagedDTO
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ReceivingOrderQueryResponseDTODynamicQueryPagedDTO
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/ReceivingOrderQueryResponseDTODynamicQueryPagedDTO
components:
  schemas:
    ReceivingOrderQueryResponseDTODynamicQueryPagedDTO:
      required:
        - count
        - dataSetCount
        - offset
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ReceivingOrderQueryResponseDTO'
        count:
          type: integer
          format: int32
        offset:
          type: integer
          format: int32
        dataSetCount:
          type: integer
          format: int32
      additionalProperties: false
    ReceivingOrderQueryResponseDTO:
      type: object
      properties:
        id:
          type: string
          format: uuid
        referenceNumber:
          type: string
        state:
          $ref: '#/components/schemas/ReceivingOrderState'
        transferType:
          $ref: '#/components/schemas/ReceivingOrderTransferType'
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/LineItemOfReceivingOrderResponseDTO'
        integration:
          $ref: '#/components/schemas/IntegrationDetailResponseDTO'
        createdAt:
          type: string
          format: date-time
        arrivedToWarehouseAt:
          type: string
          format: date-time
        completedAt:
          type: string
          format: date-time
        cancelledAt:
          type: string
          format: date-time
      additionalProperties: false
    ReceivingOrderState:
      enum:
        - ReceivingOrderCreated
        - ArrivedToWarehouse
        - Completed
        - Cancelled
      type: string
    ReceivingOrderTransferType:
      enum:
        - CargoTransfer
        - PickupTransfer
        - CarriageTransfer
      type: string
    LineItemOfReceivingOrderResponseDTO:
      type: object
      properties:
        id:
          type: string
          format: uuid
        imageUrl:
          type: string
        productName:
          type: string
        acceptedQuantity:
          type: integer
          format: int32
        damagedQuantity:
          type: integer
          format: int32
        processedAt:
          type: string
          format: date-time
        sku:
          type: string
        expectedQuantity:
          type: integer
          format: int32
      additionalProperties: false
    IntegrationDetailResponseDTO:
      type: object
      properties:
        integrationType:
          $ref: '#/components/schemas/IntegrationType'
        integrationName:
          type: string
      additionalProperties: false
    IntegrationType:
      enum:
        - CudExcludedIntegrations
        - SyncExcludedIntegrations
        - InventoryNotificationExcludedIntegrations
        - FulfillmentNotificationExcludedIntegrations
        - FulfillmentNotificationViaPackage
        - CreatePackageByQuantity
        - Oplog
        - Shopify
        - OpenApi
        - Custom
        - WooCommerce
        - Ticimax
        - TSoft
        - Default
        - Entegra
        - Trendyol
        - OrderDesk
        - Sentos
      type: string
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````